namespace DuSoft.PcmDb.Entities;

public partial class KontoLoj
{
    public decimal KontoId { get; set; }

    public decimal KontrId { get; set; }

    public short TypKonta { get; set; }

    public short Aktywne { get; set; }

    public string? Nazwa { get; set; }

    public decimal StanPocz { get; set; }

    public decimal Stan { get; set; }

    public DateTime ZmianaStanu { get; set; }

    public DateTime Zmiana { get; set; }

    public decimal? CentrKontoId { get; set; }

    public virtual ICollection<KartaLoj> KartaLoj { get; set; } = new List<KartaLoj>();

    public virtual Kontrahent Kontr { get; set; } = null!;

    public virtual ICollection<PowKontLoj> PowKontLojNoweKonto { get; set; } = new List<PowKontLoj>();

    public virtual ICollection<PowKontLoj> PowKontLojStareKonto { get; set; } = new List<PowKontLoj>();

    public virtual ICollection<RegulaDok> RegulaDok { get; set; } = new List<RegulaDok>();

    public virtual ICollection<RegulaPar> RegulaPar { get; set; } = new List<RegulaPar>();

    public virtual ICollection<SklepKontoLoj> SklepKontoLoj { get; set; } = new List<SklepKontoLoj>();

    public virtual ICollection<SklepRegulaDok> SklepRegulaDok { get; set; } = new List<SklepRegulaDok>();

    public virtual ICollection<SklepRegulaPar> SklepRegulaPar { get; set; } = new List<SklepRegulaPar>();

    public virtual ICollection<ZdarzLoj> ZdarzLoj { get; set; } = new List<ZdarzLoj>();
}
